Debian Bug report logs - #703579
ITP: libpointcloud -- framework for 3D point clouds data processing

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paride Legovini <pl@ninthfloor.org>

Date: Thu, 21 Mar 2013 01:54:02 UTC

Owned by: Paride Legovini <pl@ninthfloor.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pl@ninthfloor.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#703579; Package wnpp. (Thu, 21 Mar 2013 01:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paride Legovini <pl@ninthfloor.org>:
New Bug report received and forwarded. Copy sent to pl@ninthfloor.org, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 21 Mar 2013 01:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paride Legovini <pl@ninthfloor.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: PCL (Point Cloud Library) -- Framework for 3D point clouds data processing
Date: Thu, 21 Mar 2013 02:51:35 +0100
Package: wnpp
Severity: wishlist
Owner: Paride Legovini <pl@ninthfloor.org>

* Package name    : PCL (Point Cloud Library)
  Version         : 1.6
  Upstream Author : Open Perception, Inc. (http://www.openperception.org/)
* URL             : http://www.pointclouds.org/
* License         : BSD-3-clause
  Programming Lang: C++
  Description     : Framework for 3D point clouds data processing

PCL (Point Cloud Library) is a standalone open-source framework including
numerous state-of-the art algorithms for n-dimensional point clouds and
3D geometry processing. The library contains algorithms for filtering,
feature estimation, surface reconstruction, registration, model fitting,
and segmentation. PCL is developed by a large consortium of researchers
and engineers around the world. It is written in C++ and released under
the BSD license.



Changed Bug title to 'ITP: libpointcloud -- framework for 3D point clouds data processing' from 'ITP: PCL (Point Cloud Library) -- Framework for 3D point clouds data processing' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 05:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>:
Bug#703579; Package wnpp. (Thu, 21 Mar 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>. (Thu, 21 Mar 2013 16:51:04 GMT) Full text and rfc822 format available.

Message #12 received at 703579@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Paride Legovini <pl@ninthfloor.org>, 703579@bugs.debian.org
Subject: Re: Bug#703579: ITP: PCL (Point Cloud Library) -- Framework for 3D point clouds data processing
Date: Fri, 22 Mar 2013 00:49:11 +0800
On 03/21/2013 09:51 AM, Paride Legovini wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Paride Legovini <pl@ninthfloor.org>
>
> * Package name    : PCL (Point Cloud Library)
>   Version         : 1.6
>   Upstream Author : Open Perception, Inc. (http://www.openperception.org/)
> * URL             : http://www.pointclouds.org/
> * License         : BSD-3-clause
>   Programming Lang: C++
>   Description     : Framework for 3D point clouds data processing
>
> PCL (Point Cloud Library) is a standalone open-source framework including
> numerous state-of-the art algorithms for n-dimensional point clouds and
> 3D geometry processing. The library contains algorithms for filtering,
> feature estimation, surface reconstruction, registration, model fitting,
> and segmentation. PCL is developed by a large consortium of researchers
> and engineers around the world. It is written in C++ and released under
> the BSD license.
Hi,

By reading the above, I was tempted to believe that this was
some kind of weather research tool. If this package reaches
Debian, please make sure to come with a better long description.

Also, I don't think it is relevant to write: "It is written in C++ and
released under the BSD license." First, our user know it's free
software (everything in Debian is free), and the fact that it is
in C++ might not be important for the final user.

Hoping this helps improving the long desc,

Cheers,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703579; Package wnpp. (Thu, 21 Mar 2013 18:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paride Legovini <pl@ninthfloor.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Mar 2013 18:15:08 GMT) Full text and rfc822 format available.

Message #17 received at 703579@bugs.debian.org (full text, mbox):

From: Paride Legovini <pl@ninthfloor.org>
To: Thomas Goirand <zigo@debian.org>
Cc: 703579@bugs.debian.org
Subject: Re: Bug#703579: ITP: PCL (Point Cloud Library) -- Framework for 3D point clouds data processing
Date: Thu, 21 Mar 2013 18:07:20 +0000
On Fri, Mar 22, 2013 at 12:49:11AM +0800, Thomas Goirand wrote:
> On 03/21/2013 09:51 AM, Paride Legovini wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Paride Legovini <pl@ninthfloor.org>
> >
> > * Package name    : PCL (Point Cloud Library)
> >   Version         : 1.6
> >   Upstream Author : Open Perception, Inc. (http://www.openperception.org/)
> > * URL             : http://www.pointclouds.org/
> > * License         : BSD-3-clause
> >   Programming Lang: C++
> >   Description     : Framework for 3D point clouds data processing
> >
> > PCL (Point Cloud Library) is a standalone open-source framework including
> > numerous state-of-the art algorithms for n-dimensional point clouds and
> > 3D geometry processing. The library contains algorithms for filtering,
> > feature estimation, surface reconstruction, registration, model fitting,
> > and segmentation. PCL is developed by a large consortium of researchers
> > and engineers around the world. It is written in C++ and released under
> > the BSD license.
> Hi,
> 
> By reading the above, I was tempted to believe that this was
> some kind of weather research tool. If this package reaches
> Debian, please make sure to come with a better long description.

Dear Thomas,

thanks for your suggestions. I will not change the term "point cloud",
as it is the correct technical term for what this library is for (see:
https://en.wikipedia.org/wiki/Point_cloud ), but I'll try to make the
description less ambiguous anyway. Maybe something the following would
be better:

 PCL (Point Cloud Library) is a standalone open-source framework
 including numerous state-of-the art algorithms for n-dimensional point
 clouds (sets of vertices in an n-dimensional coordinate system)
 and 3D geometry processing. The library contains algorithms for
 filtering, feature estimation, surface reconstruction, registration,
 model fitting, and segmentation.
 .
 These algorithms can be used, for example, for perception in robotics
 to filter outliers from noisy data, stitch 3D point clouds together,
 segment relevant parts of a scene, extract keypoints and compute
 descriptors to recognize objects in the world based on their geometric
 appearance, and create surfaces from point clouds and visualize them.

Let me know if you have further comments.

Cheers,

Paride




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>:
Bug#703579; Package wnpp. (Fri, 12 Apr 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Moulard <thomas.moulard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>. (Fri, 12 Apr 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #22 received at 703579@bugs.debian.org (full text, mbox):

From: Thomas Moulard <thomas.moulard@gmail.com>
To: 703579@bugs.debian.org
Date: Fri, 12 Apr 2013 19:06:06 +0900
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,
I just discovered this ITP and I wanted to notify you that I uploaded
a packaging attempt for pcl to mentors at this URL:
<a href="https://mentors.debian.net/package/pcl"
target="_blank">https://mentors.debian.net/package/pcl</a>

We should probably merge our efforts on this one. How far did you
go with your packaging attempt?
- --
Thomas Moulard(ムラー トマ)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
Comment: GPGTools - http://gpgtools.org

iQEcBAEBAgAGBQJRZ9yBAAoJEFFvxo8xSW1Y2/0H+wSXapSUAO/Ncz9H6cNgAg0A
a3kDge9V90GHpv1SyR9kF+wHhMG40ePANT/oOobN9rUulA6D85ufGgpBZh6QigwT
ocXQYzxcvTbsY57norxWg9yj+yS9KHTOph8VCHw4lF5k1eTt4qj/vLk/mGP2HgU8
Nnjja9BWw9kf6SVBdEWgMeasCCAaXfUCsadkjWKsI8PmBHeHVh51yxFHeR11pEyG
xgUN9KwVmPR2nJSXfxl3uPN+CwB8p6PaqAiM8n7dMOhtTuz/SMKXLsobIxD06kRK
UaynbIy7rIyEUupsMa1RymAq8d1O1gWyPb2k410qNtzsd8FXppqQQ42FNXCO3n8=
=XLJW
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#703579; Package wnpp. (Sat, 13 Apr 2013 16:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paride Legovini <pl@ninthfloor.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Apr 2013 16:00:13 GMT) Full text and rfc822 format available.

Message #27 received at 703579@bugs.debian.org (full text, mbox):

From: Paride Legovini <pl@ninthfloor.org>
To: Thomas Moulard <thomas.moulard@gmail.com>, 703579@bugs.debian.org
Subject: Re: Bug#703579:
Date: Sat, 13 Apr 2013 15:59:01 +0000
[Message part 1 (text/plain, inline)]
On Fri, Apr 12, 2013 at 07:06:06PM +0900, Thomas Moulard wrote:
> Hello,
> I just discovered this ITP and I wanted to notify you that I uploaded
> a packaging attempt for pcl to mentors at this URL:
> https://mentors.debian.net/package/pcl
> 
> We should probably merge our efforts on this one. How far did you
> go with your packaging attempt?

Dear Thomas,

thanks for letting me know that you're working on packaging PCL too.
I didn't have much time in the past weeks, so even if I managed to
make a preliminary version of a Debian package for PCL it seems like
you version in more refined than mine, so I agree on merging our efforts
on your version of the package. I'll start using it and I'll let you
know if I find any issue.

Best regards,

Paride Legovini

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>:
Bug#703579; Package wnpp. (Sun, 14 Apr 2013 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Moulard <thomas.moulard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>. (Sun, 14 Apr 2013 18:06:04 GMT) Full text and rfc822 format available.

Message #32 received at 703579@bugs.debian.org (full text, mbox):

From: Thomas Moulard <thomas.moulard@gmail.com>
To: Paride Legovini <pl@ninthfloor.org>
Cc: 703579@bugs.debian.org
Subject: Re: Bug#703579:
Date: Mon, 15 Apr 2013 03:02:40 +0900
On Sun, Apr 14, 2013 at 12:59 AM, Paride Legovini <pl@ninthfloor.org> wrote:
> On Fri, Apr 12, 2013 at 07:06:06PM +0900, Thomas Moulard wrote:
>> Hello,
>> I just discovered this ITP and I wanted to notify you that I uploaded
>> a packaging attempt for pcl to mentors at this URL:
>> https://mentors.debian.net/package/pcl
>>
>> We should probably merge our efforts on this one. How far did you
>> go with your packaging attempt?
>
> Dear Thomas,
>
> thanks for letting me know that you're working on packaging PCL too.
> I didn't have much time in the past weeks, so even if I managed to
> make a preliminary version of a Debian package for PCL it seems like
> you version in more refined than mine, so I agree on merging our efforts
> on your version of the package. I'll start using it and I'll let you
> know if I find any issue.

Ok, then it's great we did not duplicate too much efforts then ;)

I updated mentors with a new version. This one contains symbols files
and fix the documentation package which was empty before.
https://mentors.debian.net/package/pcl

The remaining lintian errors are:
1. missing man pages
2. hardening functions

1. is kind of a big job and 2. is always a problem for me so I would appreciate
any help on this side.

(I just uploaded the package so it may take several minutes before
appearing on the site.)

Best,
-- 
Thomas Moulard(ムラー トマ)
CNRS-AIST JRL (Joint Robotics Laboratory), UMI3218/CRT, Tsukuba, Japan
http://thomas.moulard.net | Tel: +81-8436-1985 | GPG Key Id: 516FC68F31496D58
Add me on LinkedIn: http://www.linkedin.com/in/moulard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>:
Bug#703579; Package wnpp. (Tue, 01 Oct 2013 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paride Legovini <pl@ninthfloor.org>. (Tue, 01 Oct 2013 02:24:04 GMT) Full text and rfc822 format available.

Message #37 received at 703579@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 703579@bugs.debian.org
Subject: re: Bug#703579: ITP: PCL (Point Cloud Library) -- Framework for 3D point clouds data processing
Date: Tue, 1 Oct 2013 03:20:20 +0100
How is the packaging of this going? Are there any packages to try/look
at/help with? Upstream now have some packages here:
http://pointclouds.org/downloads/linux.html
which may provide a useful basis.

I am interested in seeing this software in Debian so can sponsor if
that helps. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:18:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.